Open Babel: graph_traits< OpenBabel::OBMol >::out_edge_iterator Class Reference

Public Types | Public Member Functions

# graph_traits< OpenBabel::OBMol >::out_edge_iterator Class Reference

`#include <mol_graph.h>`

List of all members.

## Public Types
typedef std::forward_iterator_tag | iterator_category
typedef edge_descriptor | value_type
typedef edge_descriptor * | pointer
typedef OpenBabel::OBBondIterator::difference_type | difference_type
typedef OpenBabel::OBBondIterator::reference | reference
## Public Member Functions
| out_edge_iterator ()
| out_edge_iterator (const out_edge_iterator &i)
| out_edge_iterator (OpenBabel::OBBondIterator i, OpenBabel::OBAtom *a)
out_edge_iterator & | operator++ ()
out_edge_iterator | operator++ (int)
bool | operator== (const out_edge_iterator &rhs)
bool | operator!= (const out_edge_iterator &rhs)
edge_descriptor | operator* ()

### template<>
class boost::graph_traits< OpenBabel::OBMol >::out_edge_iterator

## Member Typedef Documentation

typedef std::forward_iterator_tag iterator_category

typedef edge_descriptor value_type

typedef edge_descriptor* pointer

typedef OpenBabel::OBBondIterator::difference_type difference_type

typedef OpenBabel::OBBondIterator::reference reference

## Constructor & Destructor Documentation

out_edge_iterator | ( | ) | `[inline]`

out_edge_iterator | ( | const out_edge_iterator & | i ) | `[inline]`

out_edge_iterator | ( | OpenBabel::OBBondIterator | i,
|  | OpenBabel::OBAtom * | a
| ) |  | `[inline]`

## Member Function Documentation

out_edge_iterator& operator++ | ( | ) | `[inline]`

out_edge_iterator operator++ | ( | int | ) | `[inline]`

bool operator== | ( | const out_edge_iterator & | rhs ) | `[inline]`

bool operator!= | ( | const out_edge_iterator & | rhs ) | `[inline]`

edge_descriptor operator* | ( | ) | `[inline]`

The documentation for this class was generated from the following file:

- mol_graph.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines